File: changelog

package info (click to toggle)
mtpaint 3.40-3.1
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 5,092 kB
  • sloc: ansic: 41,804; sh: 1,414; makefile: 78
file content (132 lines) | stat: -rw-r--r-- 4,965 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
mtpaint (3.40-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957571)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 03 Nov 2020 23:04:37 +0000

mtpaint (3.40-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7. No changes were needed.
  * The package is now rebuilt with latest libpng-dev version available.
  * MIME-type information was added in mtpaint.desktop (Closes: #774502).
  * debian/compat: bump to compat level 9.
  * debian/control:
    + Depends on gtklp (Closes: #780514).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 07 Apr 2016 11:18:42 +0200

mtpaint (3.40-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unnecessary build-dependency on libgif4. (Closes: #803286)
  * Refresh giflib5.diff because it did not apply cleanly.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * Fix Lintian warning dep5-copyright-license-name-not-unique. In fact all
    files are licensed under GPL-3+ now.

 -- Markus Koschany <apo@debian.org>  Mon, 07 Mar 2016 13:46:16 +0100

mtpaint (3.40-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803286.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 05:09:55 +0000

mtpaint (3.40-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5. No changes were needed.
  * debian/control:
    + Build-Depends on libtiff-dev instead of libtiff4-dev. (Closes: #736032)
  * man page now is installed in right path: /usr/share/man/man1/mtpaint.1.gz.
    (Closes: #658960) Thanks to Sergio Cipolla for reporting this bug.
  * mtpaint.desktop has been updated to containt the Keywords field in order
    to comply with the debian policy.
  * debian/patches: Ununsed patches have been deleted.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 20 Jul 2014 10:47:18 +0300

mtpaint (3.40-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-Depends on libpng-dev instead of libpng12-dev. (Closes: #649821)

 -- Muammar El Khatib <muammar@debian.org>  Sun, 01 Jan 2012 18:37:03 +0100

mtpaint (3.31-5) unstable; urgency=low

  * debian/control:
    + Build-Depends on libjpeg-dev instead of libjpeg62-dev. (Closes: #634279)

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2011 14:01:14 +0200

mtpaint (3.31-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    + Updated build dependency to debhelper >= 7.0.50~.
    + Remove build dependency on dpatch.
    + One Dependency for line.
  * Link -lX11 has been added, so all the libraries are now provided to the
    linker when building mtPaint. (Closes: #555756)
    For more information, see patch: 07_fix_binutils_gold.patch
  * Windows icon was added. Thanks to Julien Lavergne. (Closes: #620890)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 08 Apr 2011 14:27:46 +0200

mtpaint (3.31-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1. No changes were needed.
  * Maintainer's mail has been changed.
  * debian/source directory has been created for specifying 1.0 version in the
    file debian/source/format.
  * Update copyright file:
    + Reformat to conform to candidate DEP5. (http://dep.debian.net/deps/dep5/)
    + Adjust years for debian/*.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 12 Feb 2011 18:56:20 +0100

mtpaint (3.31-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Mon, 22 Feb 2010 13:44:28 -0430

mtpaint (3.31-1) unstable; urgency=low

  * New upstream version.
  * debian/rules has been fixed. Now, mtPaint supports localization.
    The problem was caused by miscompilation - the "--prefix=$(CURDIR)/debian/
    mtpaint/usr" option passed to ./configure had, among other things, changed
    the locale directory path which gets compiled in. Thanks to Dmitry Groshev
    (current Upstream Author of mtPaint).
  * Bump Standards-Version to 3.8.1
  * mtPaint is now handling no strip build option. (Closes: #437590)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 21 May 2009 12:18:35 -0430

mtpaint (3.30-1) unstable; urgency=low

  * New upstream version.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 15 Feb 2009 20:03:26 -0430

mtpaint (3.21-1) unstable; urgency=low

  * New upstream version. (Closes: #459981)
  * Bump Standards-Version to 3.8.0
  * Webpage was moved from mtpaint's description to control tag.
  * The version of debhelper was changed to >= 6 instead of >=5.
  * mtpaint.desktop file has been fixed in this revision. The Encoding key
    is deprecated, so it was removed.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 21 Jun 2008 23:36:24 -0430

mtpaint (3.11-1) unstable; urgency=low

  * Initial release (Closes: #418122, #411151)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun,  8 Apr 2007 18:40:41 -0400